<!doctype html>
<html lang="pt-br">
  <head>
    <title>projeto</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    </head>
    <style>
        ul{
            padding:0;
            margin: 0 ;
            list-style : none;
            }
        .li-even{
            padding : 10px;
            background: #ccc;
        }
        .li-odd{
            padding : 10px;
            background: #aaa;
            color: #fff;
        }
        .li-hover{
            border : 1px solid #000;
            color: #000;
            background: #fff;
        }
        .li-click{
            border : 1px solid #000;
            color: #000;
            background: #fff;
        }
    </style>
  
  <body>
      <ul>
          <li></li>
          <li></li>
          <li></li>
          <li></li>
          <li></li>
      </ul>
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.2.1.min.js"></script>
    
    <script>
        let liHover = function (){
            //hide desaparecer, show mostrar, toggle desaparece e mostra
            //$(this).hide('slow'); or medio or fast para controlar a velociadade dele desaparecendo.
            //$(this).addClass('li-hover');
            /* serve para fazer a animação na pagina
            $(this).animate({
                'padding': '15px'
            }, 'slow');*/
            $(this).slideUp();
        }

        let lihoverOut = function (){
           // $(this).removeClass('li-hover');
          /* serve para fazer a animação na pagina
            $(this).animate({
                'padding': '10px'
            }, 'slow');*/
            $(this).slideDown();

        }

        let liclick = function (){
                alert($(this).text());
        }
        
        //os text não depende de nenhum dos metodos assim com o adclass não depende de nenhum
        
        $('ul').addClass('ul');
        $('li').hover(liHover, lihoverOut).click(liclick);
        
      
        $('li:even').text('item impar').addClass('li-even');
        //pode passar um objeto onde pode passar varios css
        $('li:odd').text('item par').addClass('li-odd');


        /*$('li').on('click', function() {
            alert($(this).text());
        })*/
    </script>
  </body>
</html>

